db4o |

# ObjectClass.CascadeOnUpdate Method

sets cascaded update behaviour.

void CascadeOnUpdate(
bool flag
);

#### Parameters

flag
  whether updates are to be cascaded to member objects.

#### Remarks

sets cascaded update behaviour.
Setting cascadeOnUpdate to true will result in the update of all member objects if a stored instance of this class is passed to com.db4o.ObjectContainer.Set .
The default setting is false.

#### See Also

ObjectClass Interface | com.db4o.config Namespace | com.db4o.config.ObjectField.CascadeOnUpdate | com.db4o.ObjectContainer.Set | Using callbacks